License Key

Tags: License Key
I get "version mismatch error" You are most likely combining the wrong library version with your license key. If you bought an iText 5 license, please use version 1.x.y. If you bough an iText 7 license, please use 2.x.y. I get "signature corrupted" This can mean a few things: The license key file was corrupted during the download. Try downloading it again and loading the newly downloaded file. If the issue still persists, contact us so that we can resolve this issue. You changed the contents of your license key. Please revert to the original state of...
For the core iText library, the license is only checked when you load it. If you loaded the license key and there was no exception thrown, then it loaded perfectly fine. The add-ons will regularly check the license key. If there is an issue with your license key, the library will throw a LicenseKeyException . The possible exceptions and how to resolve them are described below. If you want to check the license key manually, you can call the following method: Java LicenseKey.scheduledCheck(null); C# ...
Tags: License Key
You'll need two things: A license key file. A version of the license key library. The library is a jar or dll that you add to your project. This library is used to load and validate your license key. This library will also enable the functionality in the iText 7 add-ons if there is an appropriate entry in the license key file. To load a license key, use the following line of code: Java LicenseKey.loadLicenseFile("path/to/itextkey.xml"); C# LicenseKey.LoadLicenseFile("path/to/itextkey.xml"); Do note that you'll need...
The same way you loaded the iText 5 license. To load a license key, use the following line of code: Java LicenseKey.loadLicenseFile("path/to/itextkey.xml"); C# LicenseKey.LoadLicenseFile("path/to/itextkey.xml"); You do need to be aware of the following: You need to use iText 7 You need to load your iText 7 license file and disregard your iText 5 license You need to use the license key library version 2.x.y
Tags: License Key
No you can't. Doing so will throw a LicenseKeyException and you won't be able to use it. This is also true for the reverse, you can't use an iText 7 license for iText 5. If you do want to have a license for the other version, please contact our sales department.
If you're using iText 7, you'll need to use version 2.x.y of the license key library. If you're using iText 5, you'll need to use version 1.x.y of the license key library. You can't mix the versions. Don't use license key 2.x.y with iText 5.x.y or license key 1.x.y with iText 7.x.y. This will not work! Please use the latest version within the appropriate major version to have the latest features and bug fixes available.
You can download the library manually through the following channels: Java: 1.x.y: licensejava1 2.x.y: licensejava2 .NET: 1.x.y: licensedotnet1 2.x.y: licensedotnet2 Or you can use one of our supported dependency managers: Maven To add the license key library dependency to your...